<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.taais.biz.mapper.AlgorithmTaskMapper">
    <resultMap id="AlgorithmTaskResultMap" type="com.taais.biz.domain.AlgorithmTask">
        <id property="id" column="id" />
        <result property="name" column="name" />
        <result property="status" column="status" />
        <result property="startTime" column="start_time" />
        <result property="endTime" column="end_time" />
        <result property="costSecond" column="cost_second" />
        <result property="log" column="log" />
        <result property="createBy" column="create_by" />
        <result property="createTime" column="create_time" />
        <result property="updateBy" column="update_by" />
        <result property="updateTime" column="update_time" />
        <result property="remarks" column="remarks" />
    </resultMap>
<select id="getLastTask" resultMap="AlgorithmTaskResultMap">
    select * from algorithm_task t where t.status = '0' order by t.id asc limit 1
</select>
</mapper>
